### Class method

# Gtk WidgetClass set_template_scope

#### Declaration [src]

    void
    gtk_widget_class_set_template_scope (
      GtkWidgetClass* widget_class,
      GtkBuilderScope* scope
    )

#### Description [src]

Overrides the default scope to be used when parsing the class template.

This function is intended for language bindings.

Note that this must be called from a composite widget classes class initializer after calling `gtk_widget_class_set_template()`.

#### Parameters

`scope`

  Type: `GtkBuilderScope`

  `GtkBuilderScope` to use when loading the class template.

  The data is owned by the caller of the method.